Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZISBNGroupRange Class Reference

The class eZISBNGroupRange handle registration group ranges. More...

Inheritance diagram for eZISBNGroupRange:

## Static Public Member Functions
static | definition ()
static | create ( $fromNumber, $toNumber, $groupFrom, $groupTo, $length)
static | removeByID ( $id)
static | fetchList ( $asObject=true)
static | extractGroup ( $isbnNr)
static | cleanAll ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZISBNGroupRange handle registration group ranges.

Has information about how the different ranges the registration group element could be in. Example: From 0 to 5 and continues from 600-602. This means that the length of the registration group can differ from range to range.

The different Registration group ranges are described in more detail at http://www.isbn-international.org

Definition at line 25 of file ezisbngrouprange.php.

## Member Function Documentation

## ◆ cleanAll()

static eZISBNGroupRange::cleanAll | ( |  | ) |
| static

Removes all ISBN group ranges from the database.

Definition at line 141 of file ezisbngrouprange.php.

References definition(), and eZDB\instance().

Referenced by eZISBNType\cleanDBDataBeforeImport().

## ◆ create()

static eZISBNGroupRange::create | ( |  | $fromNumber,
|  |  | $toNumber,
|  |  | $groupFrom,
|  |  | $groupTo,
|  |  | $length
| ) |  |
| static

Create a new group range for an ISBN number.

Parameters

  $fromNumber | Group is starting from test number, which is based on the 5 numbers after the Prefix number.
  $toNumber | Group is ending on the To test number, which is based on the 5 numbers after the Prefix number.
  $groupFrom | Group number is starting on, based on the length set in the Group.
  $groupTo | Group number is ending on, based on the length set in the group.
  $length | How many characters $groupFrom and $groupTo should have.

Returns
  a new eZISBNGroupRange object.

Definition at line 77 of file ezisbngrouprange.php.

## ◆ definition()

static eZISBNGroupRange::definition | ( |  | ) |
| static

Definition of the ranges for ISBN groups.

Reimplemented from eZPersistentObject.

Definition at line 30 of file ezisbngrouprange.php.

Referenced by cleanAll(), extractGroup(), fetchList(), and removeByID().

## ◆ extractGroup()

static eZISBNGroupRange::extractGroup | ( |  | $isbnNr | ) |
| static

Will extract the group number based on the different ranges which is based on the 5 first digits after the Prefix field.

Parameters

  $isbnNr | Should be a stripped down ISBN number with just the digits (ean number).

Returns
  the group range object if found and false if not found.

Definition at line 119 of file ezisbngrouprange.php.

References eZPersistentObject\count(), definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZISBN13\extractISBNNumber().

## ◆ fetchList()

static eZISBNGroupRange::fetchList | ( |  | $asObject = `true` | ) |
| static

Parameters

  $asObject | Whether if the result should be sent back as objects or an array.

Returns
  the group range list for ISBN groups.

Definition at line 104 of file ezisbngrouprange.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZISBN13\attribute().

## ◆ removeByID()

static eZISBNGroupRange::removeByID | ( |  | $id | ) |
| static

Removes the ISBN group based on ID $id.

Definition at line 94 of file ezisbngrouprange.php.

References definition(), and eZPersistentObject\removeObject().

The documentation for this class was generated from the following file:

- ezisbngrouprange.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.